# Uses of Class
ch.qos.logback.core.net.ssl.KeyManagerFactoryFactoryBean

Packages that use KeyManagerFactoryFactoryBean
Package
Description
ch.qos.logback.core.net.ssl
Contains classes that create and configure a JSSE SSLContext needed for secure transport of logging events by SSLSocketAppender.

## Uses of KeyManagerFactoryFactoryBean in ch.qos.logback.core.net.ssl

Methods in ch.qos.logback.core.net.ssl that return KeyManagerFactoryFactoryBean
Modifier and Type
Method
Description
`KeyManagerFactoryFactoryBean`
SSLContextFactoryBean.`getKeyManagerFactory()`
Gets the key manager factory configuration.
Methods in ch.qos.logback.core.net.ssl with parameters of type KeyManagerFactoryFactoryBean
Modifier and Type
Method
Description
`void`
SSLContextFactoryBean.`setKeyManagerFactory(KeyManagerFactoryFactoryBean keyManagerFactory)`
Sets the key manager factory configuration.